ILOGB(3)

NAME
ilogb, ilogbf, ilogbl - extract exponent

SYNOPSIS
#include <math.h>
int
ilogb(double x);
int
ilogbf(float x);
int
ilogbl(long double x);

DESCRIPTION
ilogb() returns x's exponent n, in integer format. ilogb(±infinity) returns INT_MAX and ilogb(0) returns INT_MIN. The ilogbf() function is a single precision version of ilogb(). The ilogbl() function is an extended precision version of ilogb().

SEE ALSO
ffs(3), frexp(3)

STANDARDS
ieee754

HISTORY
The ilogb, ilogbf and ilogbl functions appeared in 4.3BSD, NetBSD 1.1 and OpenBSD 4.5, respectively.